> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Broadcast Transaction

> Broadcast a client-signed transaction to the network.



## OpenAPI

````yaml openapi/defi-api.json POST /api/defi/v1/transactions/broadcast
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/transactions/broadcast:
    post:
      tags:
        - Transactions
      summary: Broadcast Transaction
      description: Broadcast a client-signed transaction to the network.
      operationId: broadcast_transaction
      parameters:
        - name: operationId
          in: query
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - chain
                - protocol
                - strategy
                - signedPayload
              properties:
                chain:
                  type: string
                protocol:
                  type: string
                strategy:
                  type: string
                signedPayload:
                  type: string
      responses:
        '200':
          description: Transaction hash.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      transactionHash:
                        type: string
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: TransactionNotReadyForBroadcastException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: TransactionNotFoundException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Broadcast Transaction](/reference/broadcast-celestia-transaction.md)
